#!/bin/sh
set -x

dts=('20250224' '20250225' '20250226' '20250227' '20250228' '20250301' '20250302')
for dt in "${dts[@]}"; do
    echo "开始处理: ${dt}"

    # STR负样本采样
    /opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8/bin/spark-class2 org.apache.spark.deploy.SparkSubmit \
    --class com.aliyun.odps.spark.examples.makedata_recsys.v20250218.makedata_recsys_41_str_train_data_20250218 \
    --master yarn --driver-memory 4G --executor-memory 8G --executor-cores 1 --num-executors 20 \
    --conf spark.driver.maxResultSize=2g \
    ./target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
    readPath:/dw/recommend/model/41_recsys_origin_date/${dt}*/* \
    savePath:/dw/recommend/model/41_recsys_str_train_data/${dt} \
    fuSampleRate:0.05 whatLabel:is_share repartition:64

    echo "${dt} 负样本采样完成"

done


/opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8/bin/spark-class2 org.apache.spark.deploy.SparkSubmit \
--class com.aliyun.odps.spark.examples.makedata_recsys.v20250218.makedata_recsys_43_str_data_bucket_20250218 \
--master yarn --driver-memory 4G --executor-memory 8G --executor-cores 1 --num-executors 16 \
./target/spark-examples-1.0.0-SNAPSHOT-shaded.jar \
readPath:/dw/recommend/model/41_recsys_sample_data/ \
savePath:/dw/recommend/model/43_recsys_str_data_bucket/ \
beginStr:20250224 endStr:20250302 whatLabel:is_share fileName:20250218_bucket_322.txt